<?php
/**
 * Пример использования InstaForex Quotes API
 *
 * @author Andrey O.
 * @copyright Copyright (c) 2016, InstaForex Group
 */

include_once(realpath(dirname(__FILE__))  . '/lib/init.php');

$socketTransport    = InstaQuotesApiSocketTransport::getInstance();
$apiInstanceSocket  = InstaQuotesApi::getInstance($socketTransport);

$httpTransport      = InstaQuotesApiHttpTransport::getInstance();
$apiInstanceHttp    = InstaQuotesApi::getInstance($httpTransport);

// socket
try
{
    $req    = array('q' => 'eurusd,gold,#bitcoin', 'f' => 'symbol,position,change24h');
    $result = $apiInstanceSocket->quotesTick($req)->get();
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesTick:<pre>' . print_r($result, true) . '</pre>';

// http
try
{
    $req    = array('groupId' => '7', 'f' => 'symbol,desc');
    $result = $apiInstanceHttp->quotesList($req)->get();
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesList:<pre>' . print_r($result, true) . '</pre>';