<?php
/**
 * Пример использования InstaForex Quotes API
 *
 * @author Andrey O.
 * @copyright Copyright (c) 2016, InstaForex Group
 */

include_once(realpath(dirname(__FILE__))  . '/lib/init.php');

/**
 * Конфиг по-умолчанию
 * $config = array('host' => 'quotes.instaforex.com', 'port' => 80)
 *
 * Также можно добавить параметры curl
 * $config = array('host' => 'quotes.instaforex.com', 'port' => 80, 'curl' => array(CURLOPT_TIMEOUT => 2))
 *
 * $transport   = InstaQuotesApiHttpTransport::getInstance($config);
 */
$transport   = InstaQuotesApiHttpTransport::getInstance();
$apiInstance = InstaQuotesApi::getInstance($transport);

try
{    
    $req    = array('q' => 'eurusd,gold,#bitcoin');
    // $req    = array('q' => 'eurusd,gold,#bitcoin', 'f' => 'symbol,change24h,bid,ask'); // вывести только поля: symbol,change24h,bid,ask
    $result = $apiInstance->quotesTick($req)->get('symbol');
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesTick:<pre>' . print_r($result, true) . '</pre>';


try
{
    $req    = array(); // показать все доступные символы
    // $req    = array('groupId' => '7', 'f' => 'symbol,desc'); // показать только группу 7 и только поля symbol и desc
    $result = $apiInstance->quotesList($req)->get();
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesList:<pre>' . print_r($result, true) . '</pre>';
