<?php
/**
 * Пример использования InstaForex Quotes API
 *
 * @author Andrey O.
 * @copyright Copyright (c) 2016, InstaForex Group
 */

include_once(realpath(dirname(__FILE__))  . '/lib/init.php');

/**
 * Default config
 * $config = array('host' => 'quotes.instaforex.com', 'port' => 5000)
 *
 * $transport   = InstaQuotesApiSocketTransport::getInstance($config);
 */
$transport   = InstaQuotesApiSocketTransport::getInstance();
$apiInstance = InstaQuotesApi::getInstance($transport);

try
{
    $req    = array('q' => 'eurusd,gold,#bitcoin', 'f' => 'symbol,position,change24h');
    $result = $apiInstance->quotesTick($req)->get();
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesTick:<pre>' . print_r($result, true) . '</pre>';


try
{
    $req    = array('groupId' => '7', 'f' => 'symbol,desc');
    $result = $apiInstance->quotesList($req)->get();
}
catch (InstaQuotesApiException $e)
{
    $result = $e->getMessage();
}
echo 'quotesList:<pre>' . print_r($result, true) . '</pre>';
