<?php
/**
 * Class InstaQuotesApiTransportAbstract
 * Базовый абстрактный класс для реализации транспорта
 *
 * @author Andrey O.
 * @copyright Copyright (c) 2016, InstaForex Group
 */

abstract class InstaQuotesApiTransportAbstract
{
    protected static $instance = array();

    protected $params = array();

    protected $config = array();

    /**
     * Установка конфига при создании транспорта
     *
     * @param $config
     */
    protected function __construct($config)
    {
        $this->config = $config;
    }

    /**
     * Получение экземпляра соот-щего транспорта
     *
     * @param $className
     * @param array $config
     * @return mixed
     */
    public static function getInstance($className, array $config = array())
    {
        $transport = serialize($className . $config);

        if(! isset(self::$instance[$transport]))
        {
            self::$instance[$transport] = new $className($config);
        }

        return self::$instance[$transport];
    }

    /**
     * Установка параметров запроса
     *
     * @param array $params
     * @return $this
     */
    public function params(array $params)
    {
        $this->params = $params;

        return $this;
    }
}